Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Incremental Java compile is disabled when an input source does not exist #8194

Closed
hungvietnguyen opened this issue Jan 9, 2019 · 4 comments
Closed
Assignees
Milestone

Comments

@hungvietnguyen
Copy link

@hungvietnguyen hungvietnguyen commented Jan 9, 2019

Your Environment

Gradle version: 5.1 (or more specifically 5.1-rc-3+, probably after this commit ca508b4)

Current Behavior

Starting with Gradle 5.1-rc-3, incremental Java compile is disabled when an input source does not exist. Below is an example --info log:

Cannot infer source root(s) for source `file 'project/app/src/debug/java'`. Supported types are `File` (directories only), `DirectoryTree` and `SourceDirectorySet`.
Cannot infer source root(s) for source `file 'project/app/build/generated/aidl_source_output_dir/debug/compileDebugAidl/out'`. Supported types are `File` (directories only), `DirectoryTree` and `SourceDirectorySet`.
Cannot infer source root(s) for source `file 'project/app/build/generated/renderscript_source_output_dir/debug/compileDebugRenderscript/out'`. Supported types are `File` (directories only), `DirectoryTree` and `SourceDirectorySet`.

Full recompilation is required because the source roots could not be inferred.

file or directory 'project/app/src/debug/java', not found
file or directory 'project/app/build/generated/aidl_source_output_dir/debug/compileDebugAidl/out', not found
file or directory 'project/app/build/generated/renderscript_source_output_dir/debug/compileDebugRenderscript/out', not found

Expected Behavior

Incremental Java compile should not be disabled when an input source does not exist.

Context

We ran into this issue when updating the Android Gradle plugin to use Gradle 5.1. We have worked around the issue by removing non-existent input sources from the Java compile task (at task execution time). However, this probably still needs to be fixed on the Gradle side.

@oehme
Copy link
Contributor

@oehme oehme commented Jan 9, 2019

Might be worth doing for 5.1.1, what do you think @wolfs?

@wolfs
Copy link
Member

@wolfs wolfs commented Jan 9, 2019

Fixed via #8195. This will be part of 5.1.1.

@wolfs
Copy link
Member

@wolfs wolfs commented Jan 9, 2019

@hungvietnguyen Can you try out 5.1.1-20190109212058+0000, which contains the fix for this issue?

@hungvietnguyen
Copy link
Author

@hungvietnguyen hungvietnguyen commented Jan 10, 2019

It's working, thanks!

fengcunhan pushed a commit to fengcunhan/tools-gradle that referenced this issue Apr 22, 2019
This reverts commit 8f5caba.

Reason for revert: gradle/gradle#8194 introduced in Gradle 5.1-rc-3 and fixed in 5.1.1

Change-Id: I0359f6bc837c351895131cf2bfb3cb359e74daa2
gcf-merge-on-green bot pushed a commit to googleapis/gapic-generator-java that referenced this issue Sep 29, 2021
[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | major | `4.10.3` -> `7.0.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.0.2`](https://togithub.com/gradle/gradle/releases/v7.0.2)

This is a patch release for Gradle 7.0.

[This fixes an issue with files system watching on certain Linux distributions](https://togithub.com/gradle/gradle/milestone/177?closed=1).

We recommend users upgrade to 7.0.2 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.2 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.2

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0.1`](https://togithub.com/gradle/gradle/releases/v7.0.1)

This is a patch release for Gradle 7.0.

[This fixes several issues reported against 7.0](https://togithub.com/gradle/gradle/milestone/173?closed=1).

We recommend users upgrade to 7.0.1 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.1

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0`](https://togithub.com/gradle/gradle/compare/v6.9.0...v7.0.0)

### [`v6.9`](https://togithub.com/gradle/gradle/compare/v6.8.3...v6.9.0)

### [`v6.8.3`](https://togithub.com/gradle/gradle/releases/v6.8.3)

This is a patch release for Gradle 6.8.

This fixes [a critical bug](https://togithub.com/gradle/gradle/issues/16144) present in Gradle 6.8, 6.8.1 and 6.8.2.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/171?closed=1)

Please don’t use the original 6.8 release or previous patch releases, and instead upgrade to 6.8.3.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.3 by updating your wrapper:

    ./gradlew wrapper --gradle-version=6.8.3 --gradle-distribution-sha256-sum 7faa7198769f872826c8ef4f1450f839ec27f0b4d5d1e51bade63667cbccd205

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.3/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.3.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.2`](https://togithub.com/gradle/gradle/releases/v6.8.2)

This is a patch release for Gradle 6.8.

This fixes several bugs in Gradle 6.8.1.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/170?closed=1)

Please don’t use the original 6.8 release or the 6.8.1, and instead upgrade to 6.8.2.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.2/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.2.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.1`](https://togithub.com/gradle/gradle/releases/v6.8.1)

This is a patch release for Gradle 6.8.

This fixes several critical bugs in Gradle 6.8.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/168?closed=1)

We recommend that you use Gradle 6.8.1 over the initial release of Gradle 6.8.

#### Upgrade Instructions

Switch your build to use Gradle 6.8.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.1/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8`](https://togithub.com/gradle/gradle/compare/v6.7.1...v6.8.0)

### [`v6.7.1`](https://togithub.com/gradle/gradle/releases/v6.7.1)

This is a patch release for Gradle 6.7.

This fixes several critical bugs in Gradle 6.7.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/160?closed=1)

We recommend that you use Gradle 6.7.1 over the initial release of Gradle 6.7.

#### Upgrade Instructions

Switch your build to use Gradle 6.7.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.7.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.7.1/userguide/upgrading_version\_6.html#changes\_6.7) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.7.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.7`](https://togithub.com/gradle/gradle/compare/v6.6.1...v6.7.0)

### [`v6.6.1`](https://togithub.com/gradle/gradle/releases/v6.6.1)

This is a patch release for Gradle 6.6.

This fixes several critical bugs in Gradle 6.6.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/155?closed=1)

We recommend that you use Gradle 6.6.1 over the initial release of Gradle 6.6.

#### Upgrade Instructions

Switch your build to use Gradle 6.6.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.6.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.6.1/userguide/upgrading_version\_6.html#changes\_6.6) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.6.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.6`](https://togithub.com/gradle/gradle/compare/v6.5.1...v6.6.0)

### [`v6.5.1`](https://togithub.com/gradle/gradle/releases/v6.5.1)

This is a patch release for Gradle 6.5.

This fixes several critical bugs in Gradle 6.5:

-   Regression: Gradle 6.5 cached builds cause IllegalStateException [#&#8203;13367](https://togithub.com/gradle/gradle/issues/13367)
-   Regression: Compile classpath configuration is not deterministic [#&#8203;13555](https://togithub.com/gradle/gradle/issues/13555)
-   Regression: Class cast exception when GStrings are used with System.getProperty [#&#8203;13569](https://togithub.com/gradle/gradle/issues/13569)
-   And a number of dependency graph resolution errors ([#&#8203;13251](https://togithub.com/gradle/gradle/issues/13251), [#&#8203;13316](https://togithub.com/gradle/gradle/issues/13316), [#&#8203;13329](https://togithub.com/gradle/gradle/issues/13329), [#&#8203;13551](https://togithub.com/gradle/gradle/issues/13551))

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/147?closed=1)

We recommend that you use Gradle 6.5.1 over the initial release of Gradle 6.5.

#### Upgrade Instructions

Switch your build to use Gradle 6.5.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.5.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.5.1/userguide/upgrading_version\_6.html#changes\_6.5) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.5.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.5`](https://togithub.com/gradle/gradle/compare/v6.4.1...v6.5.0)

### [`v6.4.1`](https://togithub.com/gradle/gradle/releases/v6.4.1)

This is a patch release for Gradle 6.4.

This fixes several critical bugs in Gradle 6.4:

-   Regression: Different daemons are used between IDE and CLI builds for the same project [#&#8203;13069](https://togithub.com/gradle/gradle/issues/13069)
-   Regression: Main-Class attribute always added to jar manifest when using application plugin [#&#8203;13057](https://togithub.com/gradle/gradle/issues/13057)

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/145?closed=1)

We recommend that you use Gradle 6.4.1 over the initial release of Gradle 6.4.

#### Upgrade Instructions

Switch your build to use Gradle 6.4.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.4.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.4.1/userguide/upgrading_version\_6.html#changes\_6.4) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.4.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.4`](https://togithub.com/gradle/gradle/compare/v6.3.0...v6.4.0)

### [`v6.3`](https://togithub.com/gradle/gradle/compare/v6.2.2...v6.3.0)

### [`v6.2.2`](https://togithub.com/gradle/gradle/releases/v6.2.2)

This is a patch release for Gradle 6.2.

This fixes a critical bug in Gradle 6.2:

-   Multi-project build use the properties of the rootProject for all included builds. [#&#8203;12381](https://togithub.com/gradle/gradle/issues/12381)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/134?closed=1)

We recommend that you use Gradle 6.2.2 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.2/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.2/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.2.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2.1`](https://togithub.com/gradle/gradle/releases/v6.2.1)

This is a patch release for Gradle 6.2.

This fixes several critical bugs in Gradle 6.2:

-   Project name disambiguation causes project / external dependency conflicts to be missed. [#&#8203;12315](https://togithub.com/gradle/gradle/issues/12315)
-   IdeaModelBuilder does not provide groovy-all as compile dep for buildSrc [#&#8203;12274](https://togithub.com/gradle/gradle/issues/12274)
-   Gradle crashes if GRADLE_RO_DEP_CACHE is set and it cannot create modules-2 directory within it [#&#8203;12293](https://togithub.com/gradle/gradle/issues/12293)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/133?closed=1)

We recommend that you use Gradle 6.2.1 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.1/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2`](https://togithub.com/gradle/gradle/compare/v6.1.1...v6.2.0)

### [`v6.1.1`](https://togithub.com/gradle/gradle/releases/v6.1.1)

This is a patch release for Gradle 6.1.

This fixes several critical bugs in Gradle 6.1:

-   Plugins using kotlin-dsl and compiled with 6.1 are incompatible with Gradle 6.0 [#&#8203;11947](https://togithub.com/gradle/gradle/issues/11947)
-   Missing fixed issues from Gradle 6.1 release notes [#&#8203;11954](https://togithub.com/gradle/gradle/issues/11954)
-   Memory regression when resolving large artifacts while computing checksums [#&#8203;11966](https://togithub.com/gradle/gradle/issues/11966)
-   Gradle 6.1 generates an empty .gradle and gradle directories on each execution in subproject directories [#&#8203;11971](https://togithub.com/gradle/gradle/issues/11971)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.1.1)

We recommend that you use Gradle 6.1.1 over the initial release of Gradle 6.1.

[Read the full release notes](https://docs.gradle.org/6.1.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.1.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.1.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.1.1/userguide/upgrading_version\_6.html#changes\_6.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.1.x.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.1`](https://togithub.com/gradle/gradle/compare/v6.0.1...v6.1.0)

### [`v6.0.1`](https://togithub.com/gradle/gradle/releases/v6.0.1)

This is a patch release for Gradle 6.0.

This fixes several critical bugs in Gradle 6.0:

-   Incremental Java compilation is broken with Android 3.5.1 and Gradle 6.0 [#&#8203;11330](https://togithub.com/gradle/gradle/issues/11330)
-   Unable to use a Provider as an artifact for the maven-publish plugin [#&#8203;11054](https://togithub.com/gradle/gradle/issues/11054)
-   Implicit capabilities not always applied/detected [#&#8203;11300](https://togithub.com/gradle/gradle/issues/11300)
-   maven-metadata.xml SHA256 and SHA512 checksums prevent publishing to Nexus [#&#8203;11308](https://togithub.com/gradle/gradle/issues/11308)
-   Unable to properly resolve dynamic dependencies from mavenLocal() repo [#&#8203;11321](https://togithub.com/gradle/gradle/issues/11321)
-   Kotlin DSL: `fileTree(mapOf(...))` has unexpected behavior [#&#8203;11335](https://togithub.com/gradle/gradle/issues/11335)
-   Attribute disambiguation rule for 'org.gradle.category' can cause unexpected type exception [#&#8203;11365](https://togithub.com/gradle/gradle/issues/11365)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.0.1)

We recommend that you use Gradle 6.0.1 over the initial release of Gradle 6.0.

#### Upgrade Instructions

Switch your build to use Gradle 6.0.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=6.0.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.4`](https://togithub.com/gradle/gradle/releases/v5.6.4)

This bug-fix release contains all changes from 5.6.1 through 5.6.3 as well as:

-   Can't configure kotlinOptions after upgrade to gradle 5.6.3 using kotlin-dsl [#&#8203;11083](https://togithub.com/gradle/gradle/issues/11083)
-   Slow localhost look-up on macOS [#&#8203;11134](https://togithub.com/gradle/gradle/issues/11134)

We recommend that you use Gradle 5.6.4 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.4 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.4`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.3`](https://togithub.com/gradle/gradle/releases/v5.6.3)

This bug-fix release contains all changes from 5.6.1 and 5.6.2 as well as:

-   Let Kotlin DSL gracefully handle lambdas registered as extensions (5.6.3) [#&#8203;11014](https://togithub.com/gradle/gradle/issues/11014)
-   Gradle Module Metadata compatibility for unique snapshots [#&#8203;11050](https://togithub.com/gradle/gradle/issues/11050)
-   maven-publish publishes jars with wrong extension for known jar packagings like 'ejb' in 5.6 [#&#8203;10555](https://togithub.com/gradle/gradle/issues/10555)
-   Regression in 5.5 when using dependency constraints for non-jar dependencies without a POM [#&#8203;10948](https://togithub.com/gradle/gradle/issues/10948)
-   resolution failure when dependency locks and kotlin-dsl plugin are present [#&#8203;10697](https://togithub.com/gradle/gradle/issues/10697)
-   Non-Kotlin extensions crash the build when using Kotlin DSL + Kotlin plugins [#&#8203;10729](https://togithub.com/gradle/gradle/issues/10729)
-   Sporadic build failures with build-scan due to an overlapping ID assignment gradle/gradle#10286
-   Prevent StackOverflowException caused by excessive 'or' via PatternMatcher [#&#8203;10330](https://togithub.com/gradle/gradle/issues/10330)

We recommend that you use Gradle 5.6.3 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.3 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.3`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.2`](https://togithub.com/gradle/gradle/releases/v5.6.2)

This bug-fix release contains changes to Gradle 5.6.1:

-   Duplicate entry in generated .classpath file in Gradle >= 5.6 ([#&#8203;10393](https://togithub.com/gradle/gradle/issues/10393))
-   Memory leak when using tasks that use Worker API and process isolation ([#&#8203;10411](https://togithub.com/gradle/gradle/issues/10411))

We recommend that you use Gradle 5.6.2 over 5.6.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.2 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.2`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.1`](https://togithub.com/gradle/gradle/releases/v5.6.1)

This bug-fix release contains changes to Gradle 5.6:

-   Unable to publish artifacts with custom classifier/extension from java project with Gradle 5.6 (gradle/gradle#10287)
-   Regression in 5.6 signArchives (Duplicate key) (gradle/gradle#10302)
-   Regression setting version for ArchiveTasks in 5.6 (gradle/gradle#10311)
-   A failure occurred while executing org.jetbrains.kotlin.compilerRunner.GradleKotlinCompilerWork (gradle/gradle#10317)
-   DirectoryFileTree breaks SourceTask since 5.6 (gradle/gradle#10322)
-   Regression: Unable to pass java.util.Properties object using Worker API in Gradle 5.6 (gradle/gradle#10323)
-   Unable to publish multiple publications with same coordinates (gradle/gradle#10333)
-   Gradle 5.6 - Resolving resources from buildSrc or plugins (gradle/gradle#10347)

We recommend that you use Gradle 5.6.1 over 5.6.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.5.1`](https://togithub.com/gradle/gradle/releases/v5.5.1)

This bug-fix release contains three changes to Gradle 5.5:

-   Combination of errorprone-gradle-plugin and options.fork = true causes Java compilation to fail in Gradle 5.5 [#&#8203;9897](https://togithub.com/gradle/gradle/issues/9897)
-   Using dependency declaration `gradleKotlinDsl()` fails with 5.5 [#&#8203;9919](https://togithub.com/gradle/gradle/issues/9919)
-   Chain of transitives aligned by same platform can lead to broken resolution [#&#8203;9882](https://togithub.com/gradle/gradle/issues/9882)

We recommend that you use Gradle 5.5.1 over 5.5.

#### Upgrade Instructions

Switch your build to use Gradle 5.5.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.5.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.4.1`](https://togithub.com/gradle/gradle/releases/v5.4.1)

This bug-fix release contains two changes to Gradle 5.4:

-   Fix inconsistent classpath ordering when dependencies have lots of excludes - gradle/gradle#9197
-   Kotlin DSL IDEA script editor can't find JDK classes with Gradle 5.4 if *Gradle JVM* != *Project SDK* - gradle/gradle#9195

We recommend that you use Gradle 5.4.1 over 5.4.

#### Upgrade Instructions

Switch your build to use Gradle 5.4.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.4.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.3.1`](https://togithub.com/gradle/gradle/releases/v5.3.1)

This bug-fix release contains several changes to Gradle 5.3, notably:

-   Unable to use `java-platform` and `maven-publish` in multi-project: gradle/gradle#8845
-   Unexpected exception when adding a plugin on `buildSrc` compile classpath: gradle/kotlin-dsl-samples#1363

We recommend that you use Gradle 5.3.1 over 5.3.

#### Upgrade Instructions

Switch your build to use Gradle 5.3.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.3.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.2.1`](https://togithub.com/gradle/gradle/releases/v5.2.1)

This bug-fix release contains several changes to Gradle 5.2, notably:

-   Checkstyle issues with a single source file: gradle/gradle#8394
-   BOM support conflicts: gradle/gradle#8420

We recommend that you use Gradle 5.2.1 over 5.2.

#### Upgrade Instructions

Switch your build to use Gradle 5.2.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.2.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.1.1`](https://togithub.com/gradle/gradle/releases/v5.1.1)

This bug-fix release contains several changes to Gradle 5.1, notably:

-   A daemon memory leak affecting all projects gradle/gradle#8142
-   Incremental Java compilation gradle/gradle#8194
-   A fix to Gradle's generated Javadoc in 5.1 gradle/gradle#8183

We recommend that you use Gradle 5.1.1 over 5.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.1.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.1.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).
vam-google added a commit to googleapis/gapic-generator-java that referenced this issue Oct 6, 2021
* feat: enable self signed jwt for gapic clients (#794)

* feat: enable self signed jwt for gapic clients

* resolve comments

* update gax version

* update goldens

* update golden files

* chore: release 2.1.0 (#827)

Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>

* feat: REGAPIC initial implementation (#824)

This includes:
1) Proper GRPC transcoding
2) Mimimal REST Operations (go make it compilable)
3) Rely on resource names for tests values generation (to not fail http url path validation)
4) Empty Server Streaming method implementation

* feat: REGAPIC Multitransport implementation (grpc+rest) (#833)

1) Fully backward compatible with grpc-only GAPIC
2) Strictly speaking not fully backward compatible with rest-only REGAPIC (but is compatible for practical cases). See below for details.
3) Introduces the concept of default transport (is necessary to preserve backward-compabitility). The default behavior assumes grpc transport.

Needed to unblock DIREGAPIC LRO. To be reviewed after submission

* fix: [bazel] fix rest transport handling in assembly rule (#835)

* Portable String <--> bytes conversion (#841)

* Fix development doc (#837)

* Fix dev doc
* Clarify BUILD.bazel location

* Remove warnings (unused vars, dead code, missing annotations, missing generic reference, etc) (#840)

* Remove warnings for test code (#842)

* Remove extraneous call (#844)

* Fix preserving sorted order of a collection (#845)

* feat: Add REST AIP-151 LRO suport

Depends on googleapis/gax-java#1484

* chore(deps): update dependency gradle to v7 (#713)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | major | `4.10.3` -> `7.0.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.0.2`](https://togithub.com/gradle/gradle/releases/v7.0.2)

This is a patch release for Gradle 7.0.

[This fixes an issue with files system watching on certain Linux distributions](https://togithub.com/gradle/gradle/milestone/177?closed=1).

We recommend users upgrade to 7.0.2 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.2 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.2

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0.1`](https://togithub.com/gradle/gradle/releases/v7.0.1)

This is a patch release for Gradle 7.0.

[This fixes several issues reported against 7.0](https://togithub.com/gradle/gradle/milestone/173?closed=1).

We recommend users upgrade to 7.0.1 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.1

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0`](https://togithub.com/gradle/gradle/compare/v6.9.0...v7.0.0)

### [`v6.9`](https://togithub.com/gradle/gradle/compare/v6.8.3...v6.9.0)

### [`v6.8.3`](https://togithub.com/gradle/gradle/releases/v6.8.3)

This is a patch release for Gradle 6.8.

This fixes [a critical bug](https://togithub.com/gradle/gradle/issues/16144) present in Gradle 6.8, 6.8.1 and 6.8.2.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/171?closed=1)

Please don’t use the original 6.8 release or previous patch releases, and instead upgrade to 6.8.3.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.3 by updating your wrapper:

    ./gradlew wrapper --gradle-version=6.8.3 --gradle-distribution-sha256-sum 7faa7198769f872826c8ef4f1450f839ec27f0b4d5d1e51bade63667cbccd205

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.3/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.3.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.2`](https://togithub.com/gradle/gradle/releases/v6.8.2)

This is a patch release for Gradle 6.8.

This fixes several bugs in Gradle 6.8.1.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/170?closed=1)

Please don’t use the original 6.8 release or the 6.8.1, and instead upgrade to 6.8.2.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.2/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.2.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.1`](https://togithub.com/gradle/gradle/releases/v6.8.1)

This is a patch release for Gradle 6.8.

This fixes several critical bugs in Gradle 6.8.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/168?closed=1)

We recommend that you use Gradle 6.8.1 over the initial release of Gradle 6.8.

#### Upgrade Instructions

Switch your build to use Gradle 6.8.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.1/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8`](https://togithub.com/gradle/gradle/compare/v6.7.1...v6.8.0)

### [`v6.7.1`](https://togithub.com/gradle/gradle/releases/v6.7.1)

This is a patch release for Gradle 6.7.

This fixes several critical bugs in Gradle 6.7.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/160?closed=1)

We recommend that you use Gradle 6.7.1 over the initial release of Gradle 6.7.

#### Upgrade Instructions

Switch your build to use Gradle 6.7.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.7.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.7.1/userguide/upgrading_version\_6.html#changes\_6.7) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.7.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.7`](https://togithub.com/gradle/gradle/compare/v6.6.1...v6.7.0)

### [`v6.6.1`](https://togithub.com/gradle/gradle/releases/v6.6.1)

This is a patch release for Gradle 6.6.

This fixes several critical bugs in Gradle 6.6.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/155?closed=1)

We recommend that you use Gradle 6.6.1 over the initial release of Gradle 6.6.

#### Upgrade Instructions

Switch your build to use Gradle 6.6.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.6.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.6.1/userguide/upgrading_version\_6.html#changes\_6.6) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.6.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.6`](https://togithub.com/gradle/gradle/compare/v6.5.1...v6.6.0)

### [`v6.5.1`](https://togithub.com/gradle/gradle/releases/v6.5.1)

This is a patch release for Gradle 6.5.

This fixes several critical bugs in Gradle 6.5:

-   Regression: Gradle 6.5 cached builds cause IllegalStateException [#&#8203;13367](https://togithub.com/gradle/gradle/issues/13367)
-   Regression: Compile classpath configuration is not deterministic [#&#8203;13555](https://togithub.com/gradle/gradle/issues/13555)
-   Regression: Class cast exception when GStrings are used with System.getProperty [#&#8203;13569](https://togithub.com/gradle/gradle/issues/13569)
-   And a number of dependency graph resolution errors ([#&#8203;13251](https://togithub.com/gradle/gradle/issues/13251), [#&#8203;13316](https://togithub.com/gradle/gradle/issues/13316), [#&#8203;13329](https://togithub.com/gradle/gradle/issues/13329), [#&#8203;13551](https://togithub.com/gradle/gradle/issues/13551))

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/147?closed=1)

We recommend that you use Gradle 6.5.1 over the initial release of Gradle 6.5.

#### Upgrade Instructions

Switch your build to use Gradle 6.5.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.5.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.5.1/userguide/upgrading_version\_6.html#changes\_6.5) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.5.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.5`](https://togithub.com/gradle/gradle/compare/v6.4.1...v6.5.0)

### [`v6.4.1`](https://togithub.com/gradle/gradle/releases/v6.4.1)

This is a patch release for Gradle 6.4.

This fixes several critical bugs in Gradle 6.4:

-   Regression: Different daemons are used between IDE and CLI builds for the same project [#&#8203;13069](https://togithub.com/gradle/gradle/issues/13069)
-   Regression: Main-Class attribute always added to jar manifest when using application plugin [#&#8203;13057](https://togithub.com/gradle/gradle/issues/13057)

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/145?closed=1)

We recommend that you use Gradle 6.4.1 over the initial release of Gradle 6.4.

#### Upgrade Instructions

Switch your build to use Gradle 6.4.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.4.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.4.1/userguide/upgrading_version\_6.html#changes\_6.4) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.4.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.4`](https://togithub.com/gradle/gradle/compare/v6.3.0...v6.4.0)

### [`v6.3`](https://togithub.com/gradle/gradle/compare/v6.2.2...v6.3.0)

### [`v6.2.2`](https://togithub.com/gradle/gradle/releases/v6.2.2)

This is a patch release for Gradle 6.2.

This fixes a critical bug in Gradle 6.2:

-   Multi-project build use the properties of the rootProject for all included builds. [#&#8203;12381](https://togithub.com/gradle/gradle/issues/12381)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/134?closed=1)

We recommend that you use Gradle 6.2.2 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.2/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.2/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.2.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2.1`](https://togithub.com/gradle/gradle/releases/v6.2.1)

This is a patch release for Gradle 6.2.

This fixes several critical bugs in Gradle 6.2:

-   Project name disambiguation causes project / external dependency conflicts to be missed. [#&#8203;12315](https://togithub.com/gradle/gradle/issues/12315)
-   IdeaModelBuilder does not provide groovy-all as compile dep for buildSrc [#&#8203;12274](https://togithub.com/gradle/gradle/issues/12274)
-   Gradle crashes if GRADLE_RO_DEP_CACHE is set and it cannot create modules-2 directory within it [#&#8203;12293](https://togithub.com/gradle/gradle/issues/12293)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/133?closed=1)

We recommend that you use Gradle 6.2.1 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.1/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2`](https://togithub.com/gradle/gradle/compare/v6.1.1...v6.2.0)

### [`v6.1.1`](https://togithub.com/gradle/gradle/releases/v6.1.1)

This is a patch release for Gradle 6.1.

This fixes several critical bugs in Gradle 6.1:

-   Plugins using kotlin-dsl and compiled with 6.1 are incompatible with Gradle 6.0 [#&#8203;11947](https://togithub.com/gradle/gradle/issues/11947)
-   Missing fixed issues from Gradle 6.1 release notes [#&#8203;11954](https://togithub.com/gradle/gradle/issues/11954)
-   Memory regression when resolving large artifacts while computing checksums [#&#8203;11966](https://togithub.com/gradle/gradle/issues/11966)
-   Gradle 6.1 generates an empty .gradle and gradle directories on each execution in subproject directories [#&#8203;11971](https://togithub.com/gradle/gradle/issues/11971)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.1.1)

We recommend that you use Gradle 6.1.1 over the initial release of Gradle 6.1.

[Read the full release notes](https://docs.gradle.org/6.1.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.1.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.1.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.1.1/userguide/upgrading_version\_6.html#changes\_6.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.1.x.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.1`](https://togithub.com/gradle/gradle/compare/v6.0.1...v6.1.0)

### [`v6.0.1`](https://togithub.com/gradle/gradle/releases/v6.0.1)

This is a patch release for Gradle 6.0.

This fixes several critical bugs in Gradle 6.0:

-   Incremental Java compilation is broken with Android 3.5.1 and Gradle 6.0 [#&#8203;11330](https://togithub.com/gradle/gradle/issues/11330)
-   Unable to use a Provider as an artifact for the maven-publish plugin [#&#8203;11054](https://togithub.com/gradle/gradle/issues/11054)
-   Implicit capabilities not always applied/detected [#&#8203;11300](https://togithub.com/gradle/gradle/issues/11300)
-   maven-metadata.xml SHA256 and SHA512 checksums prevent publishing to Nexus [#&#8203;11308](https://togithub.com/gradle/gradle/issues/11308)
-   Unable to properly resolve dynamic dependencies from mavenLocal() repo [#&#8203;11321](https://togithub.com/gradle/gradle/issues/11321)
-   Kotlin DSL: `fileTree(mapOf(...))` has unexpected behavior [#&#8203;11335](https://togithub.com/gradle/gradle/issues/11335)
-   Attribute disambiguation rule for 'org.gradle.category' can cause unexpected type exception [#&#8203;11365](https://togithub.com/gradle/gradle/issues/11365)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.0.1)

We recommend that you use Gradle 6.0.1 over the initial release of Gradle 6.0.

#### Upgrade Instructions

Switch your build to use Gradle 6.0.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=6.0.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.4`](https://togithub.com/gradle/gradle/releases/v5.6.4)

This bug-fix release contains all changes from 5.6.1 through 5.6.3 as well as:

-   Can't configure kotlinOptions after upgrade to gradle 5.6.3 using kotlin-dsl [#&#8203;11083](https://togithub.com/gradle/gradle/issues/11083)
-   Slow localhost look-up on macOS [#&#8203;11134](https://togithub.com/gradle/gradle/issues/11134)

We recommend that you use Gradle 5.6.4 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.4 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.4`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.3`](https://togithub.com/gradle/gradle/releases/v5.6.3)

This bug-fix release contains all changes from 5.6.1 and 5.6.2 as well as:

-   Let Kotlin DSL gracefully handle lambdas registered as extensions (5.6.3) [#&#8203;11014](https://togithub.com/gradle/gradle/issues/11014)
-   Gradle Module Metadata compatibility for unique snapshots [#&#8203;11050](https://togithub.com/gradle/gradle/issues/11050)
-   maven-publish publishes jars with wrong extension for known jar packagings like 'ejb' in 5.6 [#&#8203;10555](https://togithub.com/gradle/gradle/issues/10555)
-   Regression in 5.5 when using dependency constraints for non-jar dependencies without a POM [#&#8203;10948](https://togithub.com/gradle/gradle/issues/10948)
-   resolution failure when dependency locks and kotlin-dsl plugin are present [#&#8203;10697](https://togithub.com/gradle/gradle/issues/10697)
-   Non-Kotlin extensions crash the build when using Kotlin DSL + Kotlin plugins [#&#8203;10729](https://togithub.com/gradle/gradle/issues/10729)
-   Sporadic build failures with build-scan due to an overlapping ID assignment gradle/gradle#10286
-   Prevent StackOverflowException caused by excessive 'or' via PatternMatcher [#&#8203;10330](https://togithub.com/gradle/gradle/issues/10330)

We recommend that you use Gradle 5.6.3 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.3 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.3`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.2`](https://togithub.com/gradle/gradle/releases/v5.6.2)

This bug-fix release contains changes to Gradle 5.6.1:

-   Duplicate entry in generated .classpath file in Gradle >= 5.6 ([#&#8203;10393](https://togithub.com/gradle/gradle/issues/10393))
-   Memory leak when using tasks that use Worker API and process isolation ([#&#8203;10411](https://togithub.com/gradle/gradle/issues/10411))

We recommend that you use Gradle 5.6.2 over 5.6.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.2 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.2`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.1`](https://togithub.com/gradle/gradle/releases/v5.6.1)

This bug-fix release contains changes to Gradle 5.6:

-   Unable to publish artifacts with custom classifier/extension from java project with Gradle 5.6 (gradle/gradle#10287)
-   Regression in 5.6 signArchives (Duplicate key) (gradle/gradle#10302)
-   Regression setting version for ArchiveTasks in 5.6 (gradle/gradle#10311)
-   A failure occurred while executing org.jetbrains.kotlin.compilerRunner.GradleKotlinCompilerWork (gradle/gradle#10317)
-   DirectoryFileTree breaks SourceTask since 5.6 (gradle/gradle#10322)
-   Regression: Unable to pass java.util.Properties object using Worker API in Gradle 5.6 (gradle/gradle#10323)
-   Unable to publish multiple publications with same coordinates (gradle/gradle#10333)
-   Gradle 5.6 - Resolving resources from buildSrc or plugins (gradle/gradle#10347)

We recommend that you use Gradle 5.6.1 over 5.6.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.5.1`](https://togithub.com/gradle/gradle/releases/v5.5.1)

This bug-fix release contains three changes to Gradle 5.5:

-   Combination of errorprone-gradle-plugin and options.fork = true causes Java compilation to fail in Gradle 5.5 [#&#8203;9897](https://togithub.com/gradle/gradle/issues/9897)
-   Using dependency declaration `gradleKotlinDsl()` fails with 5.5 [#&#8203;9919](https://togithub.com/gradle/gradle/issues/9919)
-   Chain of transitives aligned by same platform can lead to broken resolution [#&#8203;9882](https://togithub.com/gradle/gradle/issues/9882)

We recommend that you use Gradle 5.5.1 over 5.5.

#### Upgrade Instructions

Switch your build to use Gradle 5.5.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.5.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.4.1`](https://togithub.com/gradle/gradle/releases/v5.4.1)

This bug-fix release contains two changes to Gradle 5.4:

-   Fix inconsistent classpath ordering when dependencies have lots of excludes - gradle/gradle#9197
-   Kotlin DSL IDEA script editor can't find JDK classes with Gradle 5.4 if *Gradle JVM* != *Project SDK* - gradle/gradle#9195

We recommend that you use Gradle 5.4.1 over 5.4.

#### Upgrade Instructions

Switch your build to use Gradle 5.4.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.4.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.3.1`](https://togithub.com/gradle/gradle/releases/v5.3.1)

This bug-fix release contains several changes to Gradle 5.3, notably:

-   Unable to use `java-platform` and `maven-publish` in multi-project: gradle/gradle#8845
-   Unexpected exception when adding a plugin on `buildSrc` compile classpath: gradle/kotlin-dsl-samples#1363

We recommend that you use Gradle 5.3.1 over 5.3.

#### Upgrade Instructions

Switch your build to use Gradle 5.3.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.3.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.2.1`](https://togithub.com/gradle/gradle/releases/v5.2.1)

This bug-fix release contains several changes to Gradle 5.2, notably:

-   Checkstyle issues with a single source file: gradle/gradle#8394
-   BOM support conflicts: gradle/gradle#8420

We recommend that you use Gradle 5.2.1 over 5.2.

#### Upgrade Instructions

Switch your build to use Gradle 5.2.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.2.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.1.1`](https://togithub.com/gradle/gradle/releases/v5.1.1)

This bug-fix release contains several changes to Gradle 5.1, notably:

-   A daemon memory leak affecting all projects gradle/gradle#8142
-   Incremental Java compilation gradle/gradle#8194
-   A fix to Gradle's generated Javadoc in 5.1 gradle/gradle#8183

We recommend that you use Gradle 5.1.1 over 5.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.1.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.1.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.0.3 (#722)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | patch | `1.0.2` -> `1.0.3` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.0.3`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.0.3)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.2...1.0.3)

**New Features**

-   copy_file: Add parameter to allow symlinks ([#&#8203;252](https://togithub.com/bazelbuild/bazel-skylib/issues/252))
-   Create Gazelle language for Starlark ([#&#8203;251](https://togithub.com/bazelbuild/bazel-skylib/issues/251))
-   Create a helper rule (`select_file`) for selecting a file from outputs of another rule ([#&#8203;233](https://togithub.com/bazelbuild/bazel-skylib/issues/233))

**Significant Changes**

-   Move Gazelle extension to //gazelle/bzl and change package name
-   Stop depending on rules_pkg through the federation. ([#&#8203;259](https://togithub.com/bazelbuild/bazel-skylib/issues/259))

**Incompatible Changes**

-   Remove links to maprules ([#&#8203;213](https://togithub.com/bazelbuild/bazel-skylib/issues/213))
-   Remove old_sets.bzl ([#&#8203;231](https://togithub.com/bazelbuild/bazel-skylib/issues/231))
    It has been deprecated for a while, the code is not really compatible with Bazel depset-related changes.

**Contributors**
Andrew Z Allen, Bocete, Bor Kae Hwang, irengrig, Jay Conrod, Jonathan B Coe, Marc Plano-Lesay, Robbert van Ginkel, Thomas Van Lenten, Yannic, and the Bazel team.

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
    ],
    sha256 = "1c531376ac7e5a180e0237938a2536de0c54d93f5c278634818e0efc952dd56c",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.0.3).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.1.1 (#849)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | minor | `1.0.3` -> `1.1.1` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.1.1`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.1.1)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.3...1.1.1)

Release 1.1.1 (initially tagged as 1.1.0)

**New Features**

-   Gazelle: support relative imports ([#&#8203;271](https://togithub.com/bazelbuild/bazel-skylib/issues/271)) and imports from `@bazel_tools`
    ([#&#8203;273](https://togithub.com/bazelbuild/bazel-skylib/issues/273))
-   Add partial.is_instance() ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow unittest.suite() to accept partial calls of test rules ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow specifying additional aspects to target under test in
    analysistest.make() ([#&#8203;299](https://togithub.com/bazelbuild/bazel-skylib/issues/299))
-   Add Windows support for build_test ([#&#8203;302](https://togithub.com/bazelbuild/bazel-skylib/issues/302))

**Incompatible Changes**

-   structs.to_dict() ignores deprecated to_json()/to_proto() methods ([#&#8203;295](https://togithub.com/bazelbuild/bazel-skylib/issues/295))

**Contributors**

aiuto, alandonovan, Alex Eagle, Alexandre Rostovtsev, Andrew Z Allen, c-parsons,
Christopher Sauer, Daniel Wagner-Hall, David Sanderson, dmaclach, Laurent Le
Brun, Mansur, Olek Wojnar, Philipp Wollermann, River, Samuel Giddins, Thaler
Benedek

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
    ],
    sha256 = "c6966ec828da198c5d9adbaa94c05e3a1c7f21bd012a0b29ba8ddbccb2c93b0d",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.1.1).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency gradle to v7.2 (#848)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | minor | `7.0.2` -> `7.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.2`](https://togithub.com/gradle/gradle/compare/v7.1.1...v7.2.0)

### [`v7.1.1`](https://togithub.com/gradle/gradle/releases/v7.1.1)

This is a patch release for Gradle 7.1.

It fixes the following issues:

-   [#&#8203;17488](https://togithub.com/gradle/gradle/issues/17488) Many Micronaut builds failing with NPE with Gradle 7.1 & JDK 8
-   [#&#8203;17548](https://togithub.com/gradle/gradle/issues/17548) \[Configuration cache] Task not up-to-date for SantaTracker
-   [#&#8203;17542](https://togithub.com/gradle/gradle/issues/17542) \[Configuration cache] Filtered FC with mapped elements stored incorrectly

We recommend users upgrade to 7.1.1 instead of 7.1.

#### Upgrade Instructions

Switch your build to use Gradle 7.1.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.1.1

See the [Gradle 7.x upgrade guide](https://docs.gradle.org/7.1.1/userguide/upgrading_version\_7.html#changes\_7.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.1.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.1`](https://togithub.com/gradle/gradle/compare/v7.0.2...v7.1.0)

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore: rename default branch to main (#851)

* chore: merge changes from master

Co-authored-by: arithmetic1728 <58957152+arithmetic1728@users.noreply.github.com>
Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>
Co-authored-by: Chanseok Oh <chanseok@google.com>
Co-authored-by: WhiteSource Renovate <bot@renovateapp.com>
Co-authored-by: Neenu Shaji <Neenu1995@users.noreply.github.com>
vam-google added a commit to googleapis/gapic-generator-java that referenced this issue Oct 6, 2021
* feat: enable self signed jwt for gapic clients (#794)

* feat: enable self signed jwt for gapic clients

* resolve comments

* update gax version

* update goldens

* update golden files

* chore: release 2.1.0 (#827)

Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>

* feat: REGAPIC initial implementation (#824)

This includes:
1) Proper GRPC transcoding
2) Mimimal REST Operations (go make it compilable)
3) Rely on resource names for tests values generation (to not fail http url path validation)
4) Empty Server Streaming method implementation

* feat: REGAPIC Multitransport implementation (grpc+rest) (#833)

1) Fully backward compatible with grpc-only GAPIC
2) Strictly speaking not fully backward compatible with rest-only REGAPIC (but is compatible for practical cases). See below for details.
3) Introduces the concept of default transport (is necessary to preserve backward-compabitility). The default behavior assumes grpc transport.

Needed to unblock DIREGAPIC LRO. To be reviewed after submission

* fix: [bazel] fix rest transport handling in assembly rule (#835)

* Portable String <--> bytes conversion (#841)

* Fix development doc (#837)

* Fix dev doc
* Clarify BUILD.bazel location

* Remove warnings (unused vars, dead code, missing annotations, missing generic reference, etc) (#840)

* Remove warnings for test code (#842)

* Remove extraneous call (#844)

* Fix preserving sorted order of a collection (#845)

* feat: Add REST AIP-151 LRO suport

Depends on googleapis/gax-java#1484

* chore(deps): update dependency gradle to v7 (#713)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | major | `4.10.3` -> `7.0.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.0.2`](https://togithub.com/gradle/gradle/releases/v7.0.2)

This is a patch release for Gradle 7.0.

[This fixes an issue with files system watching on certain Linux distributions](https://togithub.com/gradle/gradle/milestone/177?closed=1).

We recommend users upgrade to 7.0.2 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.2 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.2

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0.1`](https://togithub.com/gradle/gradle/releases/v7.0.1)

This is a patch release for Gradle 7.0.

[This fixes several issues reported against 7.0](https://togithub.com/gradle/gradle/milestone/173?closed=1).

We recommend users upgrade to 7.0.1 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.1

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0`](https://togithub.com/gradle/gradle/compare/v6.9.0...v7.0.0)

### [`v6.9`](https://togithub.com/gradle/gradle/compare/v6.8.3...v6.9.0)

### [`v6.8.3`](https://togithub.com/gradle/gradle/releases/v6.8.3)

This is a patch release for Gradle 6.8.

This fixes [a critical bug](https://togithub.com/gradle/gradle/issues/16144) present in Gradle 6.8, 6.8.1 and 6.8.2.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/171?closed=1)

Please don’t use the original 6.8 release or previous patch releases, and instead upgrade to 6.8.3.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.3 by updating your wrapper:

    ./gradlew wrapper --gradle-version=6.8.3 --gradle-distribution-sha256-sum 7faa7198769f872826c8ef4f1450f839ec27f0b4d5d1e51bade63667cbccd205

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.3/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.3.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.2`](https://togithub.com/gradle/gradle/releases/v6.8.2)

This is a patch release for Gradle 6.8.

This fixes several bugs in Gradle 6.8.1.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/170?closed=1)

Please don’t use the original 6.8 release or the 6.8.1, and instead upgrade to 6.8.2.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.2/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.2.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.1`](https://togithub.com/gradle/gradle/releases/v6.8.1)

This is a patch release for Gradle 6.8.

This fixes several critical bugs in Gradle 6.8.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/168?closed=1)

We recommend that you use Gradle 6.8.1 over the initial release of Gradle 6.8.

#### Upgrade Instructions

Switch your build to use Gradle 6.8.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.1/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8`](https://togithub.com/gradle/gradle/compare/v6.7.1...v6.8.0)

### [`v6.7.1`](https://togithub.com/gradle/gradle/releases/v6.7.1)

This is a patch release for Gradle 6.7.

This fixes several critical bugs in Gradle 6.7.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/160?closed=1)

We recommend that you use Gradle 6.7.1 over the initial release of Gradle 6.7.

#### Upgrade Instructions

Switch your build to use Gradle 6.7.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.7.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.7.1/userguide/upgrading_version\_6.html#changes\_6.7) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.7.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.7`](https://togithub.com/gradle/gradle/compare/v6.6.1...v6.7.0)

### [`v6.6.1`](https://togithub.com/gradle/gradle/releases/v6.6.1)

This is a patch release for Gradle 6.6.

This fixes several critical bugs in Gradle 6.6.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/155?closed=1)

We recommend that you use Gradle 6.6.1 over the initial release of Gradle 6.6.

#### Upgrade Instructions

Switch your build to use Gradle 6.6.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.6.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.6.1/userguide/upgrading_version\_6.html#changes\_6.6) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.6.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.6`](https://togithub.com/gradle/gradle/compare/v6.5.1...v6.6.0)

### [`v6.5.1`](https://togithub.com/gradle/gradle/releases/v6.5.1)

This is a patch release for Gradle 6.5.

This fixes several critical bugs in Gradle 6.5:

-   Regression: Gradle 6.5 cached builds cause IllegalStateException [#&#8203;13367](https://togithub.com/gradle/gradle/issues/13367)
-   Regression: Compile classpath configuration is not deterministic [#&#8203;13555](https://togithub.com/gradle/gradle/issues/13555)
-   Regression: Class cast exception when GStrings are used with System.getProperty [#&#8203;13569](https://togithub.com/gradle/gradle/issues/13569)
-   And a number of dependency graph resolution errors ([#&#8203;13251](https://togithub.com/gradle/gradle/issues/13251), [#&#8203;13316](https://togithub.com/gradle/gradle/issues/13316), [#&#8203;13329](https://togithub.com/gradle/gradle/issues/13329), [#&#8203;13551](https://togithub.com/gradle/gradle/issues/13551))

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/147?closed=1)

We recommend that you use Gradle 6.5.1 over the initial release of Gradle 6.5.

#### Upgrade Instructions

Switch your build to use Gradle 6.5.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.5.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.5.1/userguide/upgrading_version\_6.html#changes\_6.5) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.5.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.5`](https://togithub.com/gradle/gradle/compare/v6.4.1...v6.5.0)

### [`v6.4.1`](https://togithub.com/gradle/gradle/releases/v6.4.1)

This is a patch release for Gradle 6.4.

This fixes several critical bugs in Gradle 6.4:

-   Regression: Different daemons are used between IDE and CLI builds for the same project [#&#8203;13069](https://togithub.com/gradle/gradle/issues/13069)
-   Regression: Main-Class attribute always added to jar manifest when using application plugin [#&#8203;13057](https://togithub.com/gradle/gradle/issues/13057)

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/145?closed=1)

We recommend that you use Gradle 6.4.1 over the initial release of Gradle 6.4.

#### Upgrade Instructions

Switch your build to use Gradle 6.4.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.4.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.4.1/userguide/upgrading_version\_6.html#changes\_6.4) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.4.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.4`](https://togithub.com/gradle/gradle/compare/v6.3.0...v6.4.0)

### [`v6.3`](https://togithub.com/gradle/gradle/compare/v6.2.2...v6.3.0)

### [`v6.2.2`](https://togithub.com/gradle/gradle/releases/v6.2.2)

This is a patch release for Gradle 6.2.

This fixes a critical bug in Gradle 6.2:

-   Multi-project build use the properties of the rootProject for all included builds. [#&#8203;12381](https://togithub.com/gradle/gradle/issues/12381)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/134?closed=1)

We recommend that you use Gradle 6.2.2 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.2/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.2/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.2.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2.1`](https://togithub.com/gradle/gradle/releases/v6.2.1)

This is a patch release for Gradle 6.2.

This fixes several critical bugs in Gradle 6.2:

-   Project name disambiguation causes project / external dependency conflicts to be missed. [#&#8203;12315](https://togithub.com/gradle/gradle/issues/12315)
-   IdeaModelBuilder does not provide groovy-all as compile dep for buildSrc [#&#8203;12274](https://togithub.com/gradle/gradle/issues/12274)
-   Gradle crashes if GRADLE_RO_DEP_CACHE is set and it cannot create modules-2 directory within it [#&#8203;12293](https://togithub.com/gradle/gradle/issues/12293)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/133?closed=1)

We recommend that you use Gradle 6.2.1 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.1/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2`](https://togithub.com/gradle/gradle/compare/v6.1.1...v6.2.0)

### [`v6.1.1`](https://togithub.com/gradle/gradle/releases/v6.1.1)

This is a patch release for Gradle 6.1.

This fixes several critical bugs in Gradle 6.1:

-   Plugins using kotlin-dsl and compiled with 6.1 are incompatible with Gradle 6.0 [#&#8203;11947](https://togithub.com/gradle/gradle/issues/11947)
-   Missing fixed issues from Gradle 6.1 release notes [#&#8203;11954](https://togithub.com/gradle/gradle/issues/11954)
-   Memory regression when resolving large artifacts while computing checksums [#&#8203;11966](https://togithub.com/gradle/gradle/issues/11966)
-   Gradle 6.1 generates an empty .gradle and gradle directories on each execution in subproject directories [#&#8203;11971](https://togithub.com/gradle/gradle/issues/11971)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.1.1)

We recommend that you use Gradle 6.1.1 over the initial release of Gradle 6.1.

[Read the full release notes](https://docs.gradle.org/6.1.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.1.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.1.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.1.1/userguide/upgrading_version\_6.html#changes\_6.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.1.x.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.1`](https://togithub.com/gradle/gradle/compare/v6.0.1...v6.1.0)

### [`v6.0.1`](https://togithub.com/gradle/gradle/releases/v6.0.1)

This is a patch release for Gradle 6.0.

This fixes several critical bugs in Gradle 6.0:

-   Incremental Java compilation is broken with Android 3.5.1 and Gradle 6.0 [#&#8203;11330](https://togithub.com/gradle/gradle/issues/11330)
-   Unable to use a Provider as an artifact for the maven-publish plugin [#&#8203;11054](https://togithub.com/gradle/gradle/issues/11054)
-   Implicit capabilities not always applied/detected [#&#8203;11300](https://togithub.com/gradle/gradle/issues/11300)
-   maven-metadata.xml SHA256 and SHA512 checksums prevent publishing to Nexus [#&#8203;11308](https://togithub.com/gradle/gradle/issues/11308)
-   Unable to properly resolve dynamic dependencies from mavenLocal() repo [#&#8203;11321](https://togithub.com/gradle/gradle/issues/11321)
-   Kotlin DSL: `fileTree(mapOf(...))` has unexpected behavior [#&#8203;11335](https://togithub.com/gradle/gradle/issues/11335)
-   Attribute disambiguation rule for 'org.gradle.category' can cause unexpected type exception [#&#8203;11365](https://togithub.com/gradle/gradle/issues/11365)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.0.1)

We recommend that you use Gradle 6.0.1 over the initial release of Gradle 6.0.

#### Upgrade Instructions

Switch your build to use Gradle 6.0.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=6.0.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.4`](https://togithub.com/gradle/gradle/releases/v5.6.4)

This bug-fix release contains all changes from 5.6.1 through 5.6.3 as well as:

-   Can't configure kotlinOptions after upgrade to gradle 5.6.3 using kotlin-dsl [#&#8203;11083](https://togithub.com/gradle/gradle/issues/11083)
-   Slow localhost look-up on macOS [#&#8203;11134](https://togithub.com/gradle/gradle/issues/11134)

We recommend that you use Gradle 5.6.4 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.4 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.4`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.3`](https://togithub.com/gradle/gradle/releases/v5.6.3)

This bug-fix release contains all changes from 5.6.1 and 5.6.2 as well as:

-   Let Kotlin DSL gracefully handle lambdas registered as extensions (5.6.3) [#&#8203;11014](https://togithub.com/gradle/gradle/issues/11014)
-   Gradle Module Metadata compatibility for unique snapshots [#&#8203;11050](https://togithub.com/gradle/gradle/issues/11050)
-   maven-publish publishes jars with wrong extension for known jar packagings like 'ejb' in 5.6 [#&#8203;10555](https://togithub.com/gradle/gradle/issues/10555)
-   Regression in 5.5 when using dependency constraints for non-jar dependencies without a POM [#&#8203;10948](https://togithub.com/gradle/gradle/issues/10948)
-   resolution failure when dependency locks and kotlin-dsl plugin are present [#&#8203;10697](https://togithub.com/gradle/gradle/issues/10697)
-   Non-Kotlin extensions crash the build when using Kotlin DSL + Kotlin plugins [#&#8203;10729](https://togithub.com/gradle/gradle/issues/10729)
-   Sporadic build failures with build-scan due to an overlapping ID assignment gradle/gradle#10286
-   Prevent StackOverflowException caused by excessive 'or' via PatternMatcher [#&#8203;10330](https://togithub.com/gradle/gradle/issues/10330)

We recommend that you use Gradle 5.6.3 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.3 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.3`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.2`](https://togithub.com/gradle/gradle/releases/v5.6.2)

This bug-fix release contains changes to Gradle 5.6.1:

-   Duplicate entry in generated .classpath file in Gradle >= 5.6 ([#&#8203;10393](https://togithub.com/gradle/gradle/issues/10393))
-   Memory leak when using tasks that use Worker API and process isolation ([#&#8203;10411](https://togithub.com/gradle/gradle/issues/10411))

We recommend that you use Gradle 5.6.2 over 5.6.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.2 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.2`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.1`](https://togithub.com/gradle/gradle/releases/v5.6.1)

This bug-fix release contains changes to Gradle 5.6:

-   Unable to publish artifacts with custom classifier/extension from java project with Gradle 5.6 (gradle/gradle#10287)
-   Regression in 5.6 signArchives (Duplicate key) (gradle/gradle#10302)
-   Regression setting version for ArchiveTasks in 5.6 (gradle/gradle#10311)
-   A failure occurred while executing org.jetbrains.kotlin.compilerRunner.GradleKotlinCompilerWork (gradle/gradle#10317)
-   DirectoryFileTree breaks SourceTask since 5.6 (gradle/gradle#10322)
-   Regression: Unable to pass java.util.Properties object using Worker API in Gradle 5.6 (gradle/gradle#10323)
-   Unable to publish multiple publications with same coordinates (gradle/gradle#10333)
-   Gradle 5.6 - Resolving resources from buildSrc or plugins (gradle/gradle#10347)

We recommend that you use Gradle 5.6.1 over 5.6.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.5.1`](https://togithub.com/gradle/gradle/releases/v5.5.1)

This bug-fix release contains three changes to Gradle 5.5:

-   Combination of errorprone-gradle-plugin and options.fork = true causes Java compilation to fail in Gradle 5.5 [#&#8203;9897](https://togithub.com/gradle/gradle/issues/9897)
-   Using dependency declaration `gradleKotlinDsl()` fails with 5.5 [#&#8203;9919](https://togithub.com/gradle/gradle/issues/9919)
-   Chain of transitives aligned by same platform can lead to broken resolution [#&#8203;9882](https://togithub.com/gradle/gradle/issues/9882)

We recommend that you use Gradle 5.5.1 over 5.5.

#### Upgrade Instructions

Switch your build to use Gradle 5.5.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.5.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.4.1`](https://togithub.com/gradle/gradle/releases/v5.4.1)

This bug-fix release contains two changes to Gradle 5.4:

-   Fix inconsistent classpath ordering when dependencies have lots of excludes - gradle/gradle#9197
-   Kotlin DSL IDEA script editor can't find JDK classes with Gradle 5.4 if *Gradle JVM* != *Project SDK* - gradle/gradle#9195

We recommend that you use Gradle 5.4.1 over 5.4.

#### Upgrade Instructions

Switch your build to use Gradle 5.4.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.4.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.3.1`](https://togithub.com/gradle/gradle/releases/v5.3.1)

This bug-fix release contains several changes to Gradle 5.3, notably:

-   Unable to use `java-platform` and `maven-publish` in multi-project: gradle/gradle#8845
-   Unexpected exception when adding a plugin on `buildSrc` compile classpath: gradle/kotlin-dsl-samples#1363

We recommend that you use Gradle 5.3.1 over 5.3.

#### Upgrade Instructions

Switch your build to use Gradle 5.3.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.3.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.2.1`](https://togithub.com/gradle/gradle/releases/v5.2.1)

This bug-fix release contains several changes to Gradle 5.2, notably:

-   Checkstyle issues with a single source file: gradle/gradle#8394
-   BOM support conflicts: gradle/gradle#8420

We recommend that you use Gradle 5.2.1 over 5.2.

#### Upgrade Instructions

Switch your build to use Gradle 5.2.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.2.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.1.1`](https://togithub.com/gradle/gradle/releases/v5.1.1)

This bug-fix release contains several changes to Gradle 5.1, notably:

-   A daemon memory leak affecting all projects gradle/gradle#8142
-   Incremental Java compilation gradle/gradle#8194
-   A fix to Gradle's generated Javadoc in 5.1 gradle/gradle#8183

We recommend that you use Gradle 5.1.1 over 5.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.1.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.1.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.0.3 (#722)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | patch | `1.0.2` -> `1.0.3` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.0.3`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.0.3)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.2...1.0.3)

**New Features**

-   copy_file: Add parameter to allow symlinks ([#&#8203;252](https://togithub.com/bazelbuild/bazel-skylib/issues/252))
-   Create Gazelle language for Starlark ([#&#8203;251](https://togithub.com/bazelbuild/bazel-skylib/issues/251))
-   Create a helper rule (`select_file`) for selecting a file from outputs of another rule ([#&#8203;233](https://togithub.com/bazelbuild/bazel-skylib/issues/233))

**Significant Changes**

-   Move Gazelle extension to //gazelle/bzl and change package name
-   Stop depending on rules_pkg through the federation. ([#&#8203;259](https://togithub.com/bazelbuild/bazel-skylib/issues/259))

**Incompatible Changes**

-   Remove links to maprules ([#&#8203;213](https://togithub.com/bazelbuild/bazel-skylib/issues/213))
-   Remove old_sets.bzl ([#&#8203;231](https://togithub.com/bazelbuild/bazel-skylib/issues/231))
    It has been deprecated for a while, the code is not really compatible with Bazel depset-related changes.

**Contributors**
Andrew Z Allen, Bocete, Bor Kae Hwang, irengrig, Jay Conrod, Jonathan B Coe, Marc Plano-Lesay, Robbert van Ginkel, Thomas Van Lenten, Yannic, and the Bazel team.

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
    ],
    sha256 = "1c531376ac7e5a180e0237938a2536de0c54d93f5c278634818e0efc952dd56c",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.0.3).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.1.1 (#849)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | minor | `1.0.3` -> `1.1.1` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.1.1`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.1.1)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.3...1.1.1)

Release 1.1.1 (initially tagged as 1.1.0)

**New Features**

-   Gazelle: support relative imports ([#&#8203;271](https://togithub.com/bazelbuild/bazel-skylib/issues/271)) and imports from `@bazel_tools`
    ([#&#8203;273](https://togithub.com/bazelbuild/bazel-skylib/issues/273))
-   Add partial.is_instance() ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow unittest.suite() to accept partial calls of test rules ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow specifying additional aspects to target under test in
    analysistest.make() ([#&#8203;299](https://togithub.com/bazelbuild/bazel-skylib/issues/299))
-   Add Windows support for build_test ([#&#8203;302](https://togithub.com/bazelbuild/bazel-skylib/issues/302))

**Incompatible Changes**

-   structs.to_dict() ignores deprecated to_json()/to_proto() methods ([#&#8203;295](https://togithub.com/bazelbuild/bazel-skylib/issues/295))

**Contributors**

aiuto, alandonovan, Alex Eagle, Alexandre Rostovtsev, Andrew Z Allen, c-parsons,
Christopher Sauer, Daniel Wagner-Hall, David Sanderson, dmaclach, Laurent Le
Brun, Mansur, Olek Wojnar, Philipp Wollermann, River, Samuel Giddins, Thaler
Benedek

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
    ],
    sha256 = "c6966ec828da198c5d9adbaa94c05e3a1c7f21bd012a0b29ba8ddbccb2c93b0d",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.1.1).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency gradle to v7.2 (#848)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | minor | `7.0.2` -> `7.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.2`](https://togithub.com/gradle/gradle/compare/v7.1.1...v7.2.0)

### [`v7.1.1`](https://togithub.com/gradle/gradle/releases/v7.1.1)

This is a patch release for Gradle 7.1.

It fixes the following issues:

-   [#&#8203;17488](https://togithub.com/gradle/gradle/issues/17488) Many Micronaut builds failing with NPE with Gradle 7.1 & JDK 8
-   [#&#8203;17548](https://togithub.com/gradle/gradle/issues/17548) \[Configuration cache] Task not up-to-date for SantaTracker
-   [#&#8203;17542](https://togithub.com/gradle/gradle/issues/17542) \[Configuration cache] Filtered FC with mapped elements stored incorrectly

We recommend users upgrade to 7.1.1 instead of 7.1.

#### Upgrade Instructions

Switch your build to use Gradle 7.1.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.1.1

See the [Gradle 7.x upgrade guide](https://docs.gradle.org/7.1.1/userguide/upgrading_version\_7.html#changes\_7.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.1.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.1`](https://togithub.com/gradle/gradle/compare/v7.0.2...v7.1.0)

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore: rename default branch to main (#851)

* feat: enable self signed JWT for http (#850)

* chore: merge changes from master

Co-authored-by: arithmetic1728 <58957152+arithmetic1728@users.noreply.github.com>
Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>
Co-authored-by: Chanseok Oh <chanseok@google.com>
Co-authored-by: WhiteSource Renovate <bot@renovateapp.com>
Co-authored-by: Neenu Shaji <Neenu1995@users.noreply.github.com>
vam-google added a commit to googleapis/gapic-generator-java that referenced this issue Oct 6, 2021
* feat: enable self signed jwt for gapic clients (#794)

* feat: enable self signed jwt for gapic clients

* resolve comments

* update gax version

* update goldens

* update golden files

* chore: release 2.1.0 (#827)

Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>

* feat: REGAPIC initial implementation (#824)

This includes:
1) Proper GRPC transcoding
2) Mimimal REST Operations (go make it compilable)
3) Rely on resource names for tests values generation (to not fail http url path validation)
4) Empty Server Streaming method implementation

* feat: REGAPIC Multitransport implementation (grpc+rest) (#833)

1) Fully backward compatible with grpc-only GAPIC
2) Strictly speaking not fully backward compatible with rest-only REGAPIC (but is compatible for practical cases). See below for details.
3) Introduces the concept of default transport (is necessary to preserve backward-compabitility). The default behavior assumes grpc transport.

Needed to unblock DIREGAPIC LRO. To be reviewed after submission

* fix: [bazel] fix rest transport handling in assembly rule (#835)

* Portable String <--> bytes conversion (#841)

* Fix development doc (#837)

* Fix dev doc
* Clarify BUILD.bazel location

* Remove warnings (unused vars, dead code, missing annotations, missing generic reference, etc) (#840)

* Remove warnings for test code (#842)

* Remove extraneous call (#844)

* Fix preserving sorted order of a collection (#845)

* feat: Add REST AIP-151 LRO suport

Depends on googleapis/gax-java#1484

* chore(deps): update dependency gradle to v7 (#713)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | major | `4.10.3` -> `7.0.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.0.2`](https://togithub.com/gradle/gradle/releases/v7.0.2)

This is a patch release for Gradle 7.0.

[This fixes an issue with files system watching on certain Linux distributions](https://togithub.com/gradle/gradle/milestone/177?closed=1).

We recommend users upgrade to 7.0.2 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.2 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.2

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0.1`](https://togithub.com/gradle/gradle/releases/v7.0.1)

This is a patch release for Gradle 7.0.

[This fixes several issues reported against 7.0](https://togithub.com/gradle/gradle/milestone/173?closed=1).

We recommend users upgrade to 7.0.1 instead of 7.0.

#### Upgrade Instructions

Switch your build to use Gradle 7.0.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.0.1

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/7.0.1/userguide/upgrading_version\_6.html#changes\_7.0) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.0.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.0`](https://togithub.com/gradle/gradle/compare/v6.9.0...v7.0.0)

### [`v6.9`](https://togithub.com/gradle/gradle/compare/v6.8.3...v6.9.0)

### [`v6.8.3`](https://togithub.com/gradle/gradle/releases/v6.8.3)

This is a patch release for Gradle 6.8.

This fixes [a critical bug](https://togithub.com/gradle/gradle/issues/16144) present in Gradle 6.8, 6.8.1 and 6.8.2.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/171?closed=1)

Please don’t use the original 6.8 release or previous patch releases, and instead upgrade to 6.8.3.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.3 by updating your wrapper:

    ./gradlew wrapper --gradle-version=6.8.3 --gradle-distribution-sha256-sum 7faa7198769f872826c8ef4f1450f839ec27f0b4d5d1e51bade63667cbccd205

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.3/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.3.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.2`](https://togithub.com/gradle/gradle/releases/v6.8.2)

This is a patch release for Gradle 6.8.

This fixes several bugs in Gradle 6.8.1.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/170?closed=1)

Please don’t use the original 6.8 release or the 6.8.1, and instead upgrade to 6.8.2.

##### Upgrade Instructions

Switch your build to use Gradle 6.8.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.2/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.2.

##### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8.1`](https://togithub.com/gradle/gradle/releases/v6.8.1)

This is a patch release for Gradle 6.8.

This fixes several critical bugs in Gradle 6.8.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/168?closed=1)

We recommend that you use Gradle 6.8.1 over the initial release of Gradle 6.8.

#### Upgrade Instructions

Switch your build to use Gradle 6.8.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.8.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.8.1/userguide/upgrading_version\_6.html#changes\_6.8) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.8.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.8`](https://togithub.com/gradle/gradle/compare/v6.7.1...v6.8.0)

### [`v6.7.1`](https://togithub.com/gradle/gradle/releases/v6.7.1)

This is a patch release for Gradle 6.7.

This fixes several critical bugs in Gradle 6.7.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/160?closed=1)

We recommend that you use Gradle 6.7.1 over the initial release of Gradle 6.7.

#### Upgrade Instructions

Switch your build to use Gradle 6.7.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.7.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.7.1/userguide/upgrading_version\_6.html#changes\_6.7) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.7.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.7`](https://togithub.com/gradle/gradle/compare/v6.6.1...v6.7.0)

### [`v6.6.1`](https://togithub.com/gradle/gradle/releases/v6.6.1)

This is a patch release for Gradle 6.6.

This fixes several critical bugs in Gradle 6.6.

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/155?closed=1)

We recommend that you use Gradle 6.6.1 over the initial release of Gradle 6.6.

#### Upgrade Instructions

Switch your build to use Gradle 6.6.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.6.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.6.1/userguide/upgrading_version\_6.html#changes\_6.6) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.6.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.6`](https://togithub.com/gradle/gradle/compare/v6.5.1...v6.6.0)

### [`v6.5.1`](https://togithub.com/gradle/gradle/releases/v6.5.1)

This is a patch release for Gradle 6.5.

This fixes several critical bugs in Gradle 6.5:

-   Regression: Gradle 6.5 cached builds cause IllegalStateException [#&#8203;13367](https://togithub.com/gradle/gradle/issues/13367)
-   Regression: Compile classpath configuration is not deterministic [#&#8203;13555](https://togithub.com/gradle/gradle/issues/13555)
-   Regression: Class cast exception when GStrings are used with System.getProperty [#&#8203;13569](https://togithub.com/gradle/gradle/issues/13569)
-   And a number of dependency graph resolution errors ([#&#8203;13251](https://togithub.com/gradle/gradle/issues/13251), [#&#8203;13316](https://togithub.com/gradle/gradle/issues/13316), [#&#8203;13329](https://togithub.com/gradle/gradle/issues/13329), [#&#8203;13551](https://togithub.com/gradle/gradle/issues/13551))

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/147?closed=1)

We recommend that you use Gradle 6.5.1 over the initial release of Gradle 6.5.

#### Upgrade Instructions

Switch your build to use Gradle 6.5.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.5.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.5.1/userguide/upgrading_version\_6.html#changes\_6.5) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.5.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.5`](https://togithub.com/gradle/gradle/compare/v6.4.1...v6.5.0)

### [`v6.4.1`](https://togithub.com/gradle/gradle/releases/v6.4.1)

This is a patch release for Gradle 6.4.

This fixes several critical bugs in Gradle 6.4:

-   Regression: Different daemons are used between IDE and CLI builds for the same project [#&#8203;13069](https://togithub.com/gradle/gradle/issues/13069)
-   Regression: Main-Class attribute always added to jar manifest when using application plugin [#&#8203;13057](https://togithub.com/gradle/gradle/issues/13057)

[All issues fixed in this patch release](https://togithub.com/gradle/gradle/milestone/145?closed=1)

We recommend that you use Gradle 6.4.1 over the initial release of Gradle 6.4.

#### Upgrade Instructions

Switch your build to use Gradle 6.4.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.4.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.4.1/userguide/upgrading_version\_6.html#changes\_6.4) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.4.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.4`](https://togithub.com/gradle/gradle/compare/v6.3.0...v6.4.0)

### [`v6.3`](https://togithub.com/gradle/gradle/compare/v6.2.2...v6.3.0)

### [`v6.2.2`](https://togithub.com/gradle/gradle/releases/v6.2.2)

This is a patch release for Gradle 6.2.

This fixes a critical bug in Gradle 6.2:

-   Multi-project build use the properties of the rootProject for all included builds. [#&#8203;12381](https://togithub.com/gradle/gradle/issues/12381)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/134?closed=1)

We recommend that you use Gradle 6.2.2 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.2/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.2 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.2`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.2/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.2.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2.1`](https://togithub.com/gradle/gradle/releases/v6.2.1)

This is a patch release for Gradle 6.2.

This fixes several critical bugs in Gradle 6.2:

-   Project name disambiguation causes project / external dependency conflicts to be missed. [#&#8203;12315](https://togithub.com/gradle/gradle/issues/12315)
-   IdeaModelBuilder does not provide groovy-all as compile dep for buildSrc [#&#8203;12274](https://togithub.com/gradle/gradle/issues/12274)
-   Gradle crashes if GRADLE_RO_DEP_CACHE is set and it cannot create modules-2 directory within it [#&#8203;12293](https://togithub.com/gradle/gradle/issues/12293)

[All issues fixed](https://togithub.com/gradle/gradle/milestone/133?closed=1)

We recommend that you use Gradle 6.2.1 over the initial release of Gradle 6.2.

[Read the full release notes](https://docs.gradle.org/6.2.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.2.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.2.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.2.1/userguide/upgrading_version\_6.html#changes\_6.2) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.2.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.2`](https://togithub.com/gradle/gradle/compare/v6.1.1...v6.2.0)

### [`v6.1.1`](https://togithub.com/gradle/gradle/releases/v6.1.1)

This is a patch release for Gradle 6.1.

This fixes several critical bugs in Gradle 6.1:

-   Plugins using kotlin-dsl and compiled with 6.1 are incompatible with Gradle 6.0 [#&#8203;11947](https://togithub.com/gradle/gradle/issues/11947)
-   Missing fixed issues from Gradle 6.1 release notes [#&#8203;11954](https://togithub.com/gradle/gradle/issues/11954)
-   Memory regression when resolving large artifacts while computing checksums [#&#8203;11966](https://togithub.com/gradle/gradle/issues/11966)
-   Gradle 6.1 generates an empty .gradle and gradle directories on each execution in subproject directories [#&#8203;11971](https://togithub.com/gradle/gradle/issues/11971)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.1.1)

We recommend that you use Gradle 6.1.1 over the initial release of Gradle 6.1.

[Read the full release notes](https://docs.gradle.org/6.1.1/release-notes.html)

#### Upgrade Instructions

Switch your build to use Gradle 6.1.1 by updating your wrapper:

`./gradlew wrapper --gradle-version=6.1.1`

See the [Gradle 6.x upgrade guide](https://docs.gradle.org/6.1.1/userguide/upgrading_version\_6.html#changes\_6.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 6.1.x.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v6.1`](https://togithub.com/gradle/gradle/compare/v6.0.1...v6.1.0)

### [`v6.0.1`](https://togithub.com/gradle/gradle/releases/v6.0.1)

This is a patch release for Gradle 6.0.

This fixes several critical bugs in Gradle 6.0:

-   Incremental Java compilation is broken with Android 3.5.1 and Gradle 6.0 [#&#8203;11330](https://togithub.com/gradle/gradle/issues/11330)
-   Unable to use a Provider as an artifact for the maven-publish plugin [#&#8203;11054](https://togithub.com/gradle/gradle/issues/11054)
-   Implicit capabilities not always applied/detected [#&#8203;11300](https://togithub.com/gradle/gradle/issues/11300)
-   maven-metadata.xml SHA256 and SHA512 checksums prevent publishing to Nexus [#&#8203;11308](https://togithub.com/gradle/gradle/issues/11308)
-   Unable to properly resolve dynamic dependencies from mavenLocal() repo [#&#8203;11321](https://togithub.com/gradle/gradle/issues/11321)
-   Kotlin DSL: `fileTree(mapOf(...))` has unexpected behavior [#&#8203;11335](https://togithub.com/gradle/gradle/issues/11335)
-   Attribute disambiguation rule for 'org.gradle.category' can cause unexpected type exception [#&#8203;11365](https://togithub.com/gradle/gradle/issues/11365)

[All issues fixed](https://togithub.com/gradle/gradle/issues?q=is%3Aclosed+milestone%3A6.0.1)

We recommend that you use Gradle 6.0.1 over the initial release of Gradle 6.0.

#### Upgrade Instructions

Switch your build to use Gradle 6.0.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=6.0.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.4`](https://togithub.com/gradle/gradle/releases/v5.6.4)

This bug-fix release contains all changes from 5.6.1 through 5.6.3 as well as:

-   Can't configure kotlinOptions after upgrade to gradle 5.6.3 using kotlin-dsl [#&#8203;11083](https://togithub.com/gradle/gradle/issues/11083)
-   Slow localhost look-up on macOS [#&#8203;11134](https://togithub.com/gradle/gradle/issues/11134)

We recommend that you use Gradle 5.6.4 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.4 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.4`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.3`](https://togithub.com/gradle/gradle/releases/v5.6.3)

This bug-fix release contains all changes from 5.6.1 and 5.6.2 as well as:

-   Let Kotlin DSL gracefully handle lambdas registered as extensions (5.6.3) [#&#8203;11014](https://togithub.com/gradle/gradle/issues/11014)
-   Gradle Module Metadata compatibility for unique snapshots [#&#8203;11050](https://togithub.com/gradle/gradle/issues/11050)
-   maven-publish publishes jars with wrong extension for known jar packagings like 'ejb' in 5.6 [#&#8203;10555](https://togithub.com/gradle/gradle/issues/10555)
-   Regression in 5.5 when using dependency constraints for non-jar dependencies without a POM [#&#8203;10948](https://togithub.com/gradle/gradle/issues/10948)
-   resolution failure when dependency locks and kotlin-dsl plugin are present [#&#8203;10697](https://togithub.com/gradle/gradle/issues/10697)
-   Non-Kotlin extensions crash the build when using Kotlin DSL + Kotlin plugins [#&#8203;10729](https://togithub.com/gradle/gradle/issues/10729)
-   Sporadic build failures with build-scan due to an overlapping ID assignment gradle/gradle#10286
-   Prevent StackOverflowException caused by excessive 'or' via PatternMatcher [#&#8203;10330](https://togithub.com/gradle/gradle/issues/10330)

We recommend that you use Gradle 5.6.3 over any other 5.6.x release.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.3 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.3`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.2`](https://togithub.com/gradle/gradle/releases/v5.6.2)

This bug-fix release contains changes to Gradle 5.6.1:

-   Duplicate entry in generated .classpath file in Gradle >= 5.6 ([#&#8203;10393](https://togithub.com/gradle/gradle/issues/10393))
-   Memory leak when using tasks that use Worker API and process isolation ([#&#8203;10411](https://togithub.com/gradle/gradle/issues/10411))

We recommend that you use Gradle 5.6.2 over 5.6.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.2 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.2`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.6.1`](https://togithub.com/gradle/gradle/releases/v5.6.1)

This bug-fix release contains changes to Gradle 5.6:

-   Unable to publish artifacts with custom classifier/extension from java project with Gradle 5.6 (gradle/gradle#10287)
-   Regression in 5.6 signArchives (Duplicate key) (gradle/gradle#10302)
-   Regression setting version for ArchiveTasks in 5.6 (gradle/gradle#10311)
-   A failure occurred while executing org.jetbrains.kotlin.compilerRunner.GradleKotlinCompilerWork (gradle/gradle#10317)
-   DirectoryFileTree breaks SourceTask since 5.6 (gradle/gradle#10322)
-   Regression: Unable to pass java.util.Properties object using Worker API in Gradle 5.6 (gradle/gradle#10323)
-   Unable to publish multiple publications with same coordinates (gradle/gradle#10333)
-   Gradle 5.6 - Resolving resources from buildSrc or plugins (gradle/gradle#10347)

We recommend that you use Gradle 5.6.1 over 5.6.

#### Upgrade Instructions

Switch your build to use Gradle 5.6.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.6.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.5.1`](https://togithub.com/gradle/gradle/releases/v5.5.1)

This bug-fix release contains three changes to Gradle 5.5:

-   Combination of errorprone-gradle-plugin and options.fork = true causes Java compilation to fail in Gradle 5.5 [#&#8203;9897](https://togithub.com/gradle/gradle/issues/9897)
-   Using dependency declaration `gradleKotlinDsl()` fails with 5.5 [#&#8203;9919](https://togithub.com/gradle/gradle/issues/9919)
-   Chain of transitives aligned by same platform can lead to broken resolution [#&#8203;9882](https://togithub.com/gradle/gradle/issues/9882)

We recommend that you use Gradle 5.5.1 over 5.5.

#### Upgrade Instructions

Switch your build to use Gradle 5.5.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.5.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.4.1`](https://togithub.com/gradle/gradle/releases/v5.4.1)

This bug-fix release contains two changes to Gradle 5.4:

-   Fix inconsistent classpath ordering when dependencies have lots of excludes - gradle/gradle#9197
-   Kotlin DSL IDEA script editor can't find JDK classes with Gradle 5.4 if *Gradle JVM* != *Project SDK* - gradle/gradle#9195

We recommend that you use Gradle 5.4.1 over 5.4.

#### Upgrade Instructions

Switch your build to use Gradle 5.4.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.4.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.3.1`](https://togithub.com/gradle/gradle/releases/v5.3.1)

This bug-fix release contains several changes to Gradle 5.3, notably:

-   Unable to use `java-platform` and `maven-publish` in multi-project: gradle/gradle#8845
-   Unexpected exception when adding a plugin on `buildSrc` compile classpath: gradle/kotlin-dsl-samples#1363

We recommend that you use Gradle 5.3.1 over 5.3.

#### Upgrade Instructions

Switch your build to use Gradle 5.3.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.3.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.2.1`](https://togithub.com/gradle/gradle/releases/v5.2.1)

This bug-fix release contains several changes to Gradle 5.2, notably:

-   Checkstyle issues with a single source file: gradle/gradle#8394
-   BOM support conflicts: gradle/gradle#8420

We recommend that you use Gradle 5.2.1 over 5.2.

#### Upgrade Instructions

Switch your build to use Gradle 5.2.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.2.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v5.1.1`](https://togithub.com/gradle/gradle/releases/v5.1.1)

This bug-fix release contains several changes to Gradle 5.1, notably:

-   A daemon memory leak affecting all projects gradle/gradle#8142
-   Incremental Java compilation gradle/gradle#8194
-   A fix to Gradle's generated Javadoc in 5.1 gradle/gradle#8183

We recommend that you use Gradle 5.1.1 over 5.1.

#### Upgrade Instructions

Switch your build to use Gradle 5.1.1 by updating your wrapper properties:

`./gradlew wrapper --gradle-version=5.1.1`

Standalone downloads are available at https://gradle.org/install.

#### Reporting Problems

If you find a problem with Gradle, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines. If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.0.3 (#722)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | patch | `1.0.2` -> `1.0.3` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.0.3`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.0.3)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.2...1.0.3)

**New Features**

-   copy_file: Add parameter to allow symlinks ([#&#8203;252](https://togithub.com/bazelbuild/bazel-skylib/issues/252))
-   Create Gazelle language for Starlark ([#&#8203;251](https://togithub.com/bazelbuild/bazel-skylib/issues/251))
-   Create a helper rule (`select_file`) for selecting a file from outputs of another rule ([#&#8203;233](https://togithub.com/bazelbuild/bazel-skylib/issues/233))

**Significant Changes**

-   Move Gazelle extension to //gazelle/bzl and change package name
-   Stop depending on rules_pkg through the federation. ([#&#8203;259](https://togithub.com/bazelbuild/bazel-skylib/issues/259))

**Incompatible Changes**

-   Remove links to maprules ([#&#8203;213](https://togithub.com/bazelbuild/bazel-skylib/issues/213))
-   Remove old_sets.bzl ([#&#8203;231](https://togithub.com/bazelbuild/bazel-skylib/issues/231))
    It has been deprecated for a while, the code is not really compatible with Bazel depset-related changes.

**Contributors**
Andrew Z Allen, Bocete, Bor Kae Hwang, irengrig, Jay Conrod, Jonathan B Coe, Marc Plano-Lesay, Robbert van Ginkel, Thomas Van Lenten, Yannic, and the Bazel team.

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.0.3/bazel-skylib-1.0.3.tar.gz",
    ],
    sha256 = "1c531376ac7e5a180e0237938a2536de0c54d93f5c278634818e0efc952dd56c",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.0.3).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

♻️ **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency bazel_skylib to v1.1.1 (#849)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Type | Update | Change |
|---|---|---|---|
| [bazel_skylib](https://togithub.com/bazelbuild/bazel-skylib) | http_archive | minor | `1.0.3` -> `1.1.1` |

---

### Release Notes

<details>
<summary>bazelbuild/bazel-skylib</summary>

### [`v1.1.1`](https://togithub.com/bazelbuild/bazel-skylib/releases/1.1.1)

[Compare Source](https://togithub.com/bazelbuild/bazel-skylib/compare/1.0.3...1.1.1)

Release 1.1.1 (initially tagged as 1.1.0)

**New Features**

-   Gazelle: support relative imports ([#&#8203;271](https://togithub.com/bazelbuild/bazel-skylib/issues/271)) and imports from `@bazel_tools`
    ([#&#8203;273](https://togithub.com/bazelbuild/bazel-skylib/issues/273))
-   Add partial.is_instance() ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow unittest.suite() to accept partial calls of test rules ([#&#8203;276](https://togithub.com/bazelbuild/bazel-skylib/issues/276))
-   Allow specifying additional aspects to target under test in
    analysistest.make() ([#&#8203;299](https://togithub.com/bazelbuild/bazel-skylib/issues/299))
-   Add Windows support for build_test ([#&#8203;302](https://togithub.com/bazelbuild/bazel-skylib/issues/302))

**Incompatible Changes**

-   structs.to_dict() ignores deprecated to_json()/to_proto() methods ([#&#8203;295](https://togithub.com/bazelbuild/bazel-skylib/issues/295))

**Contributors**

aiuto, alandonovan, Alex Eagle, Alexandre Rostovtsev, Andrew Z Allen, c-parsons,
Christopher Sauer, Daniel Wagner-Hall, David Sanderson, dmaclach, Laurent Le
Brun, Mansur, Olek Wojnar, Philipp Wollermann, River, Samuel Giddins, Thaler
Benedek

**WORKSPACE setup**

```
load("@&#8203;bazel_tools//tools/build_defs/repo:http.bzl", "http_archive")
http_archive(
    name = "bazel_skylib",
    urls = [
        "https://github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
        "https://mirror.bazel.build/github.com/bazelbuild/bazel-skylib/releases/download/1.1.1/bazel-skylib-1.1.1.tar.gz",
    ],
    sha256 = "c6966ec828da198c5d9adbaa94c05e3a1c7f21bd012a0b29ba8ddbccb2c93b0d",
)
load("@&#8203;bazel_skylib//:workspace.bzl", "bazel_skylib_workspace")
bazel_skylib_workspace()

```

**Using the rules**

See [the source](https://togithub.com/bazelbuild/bazel-skylib/tree/1.1.1).

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore(deps): update dependency gradle to v7.2 (#848)

[![WhiteSource Renovate](https://app.renovatebot.com/images/banner.svg)](https://renovatebot.com)

This PR contains the following updates:

| Package | Update | Change |
|---|---|---|
| [gradle](https://gradle.org) ([source](https://togithub.com/gradle/gradle)) | minor | `7.0.2` -> `7.2` |

---

### Release Notes

<details>
<summary>gradle/gradle</summary>

### [`v7.2`](https://togithub.com/gradle/gradle/compare/v7.1.1...v7.2.0)

### [`v7.1.1`](https://togithub.com/gradle/gradle/releases/v7.1.1)

This is a patch release for Gradle 7.1.

It fixes the following issues:

-   [#&#8203;17488](https://togithub.com/gradle/gradle/issues/17488) Many Micronaut builds failing with NPE with Gradle 7.1 & JDK 8
-   [#&#8203;17548](https://togithub.com/gradle/gradle/issues/17548) \[Configuration cache] Task not up-to-date for SantaTracker
-   [#&#8203;17542](https://togithub.com/gradle/gradle/issues/17542) \[Configuration cache] Filtered FC with mapped elements stored incorrectly

We recommend users upgrade to 7.1.1 instead of 7.1.

#### Upgrade Instructions

Switch your build to use Gradle 7.1.1 by updating your wrapper:

    ./gradlew wrapper --gradle-version=7.1.1

See the [Gradle 7.x upgrade guide](https://docs.gradle.org/7.1.1/userguide/upgrading_version\_7.html#changes\_7.1) to learn about deprecations, breaking changes and other considerations when upgrading to Gradle 7.1.1.

#### Reporting Problems

If you find a problem with this release, please file a bug on [GitHub Issues](https://togithub.com/gradle/gradle/issues) adhering to our issue guidelines.
If you're not sure you're encountering a bug, please use the [forum](https://discuss.gradle.org/c/help-discuss).

### [`v7.1`](https://togithub.com/gradle/gradle/compare/v7.0.2...v7.1.0)

</details>

---

### Configuration

📅 **Schedule**: At any time (no schedule defined).

🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied.

 **Rebasing**: Renovate will not automatically rebase this PR, because other commits have been found.

🔕 **Ignore**: Close this PR and you won't be reminded about this update again.

---

 - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box.

---

This PR has been generated by [WhiteSource Renovate](https://renovate.whitesourcesoftware.com). View repository job log [here](https://app.renovatebot.com/dashboard#github/googleapis/gapic-generator-java).

* chore: rename default branch to main (#851)

* feat: enable self signed JWT for http (#850)

* chore: merge changes from master

Co-authored-by: arithmetic1728 <58957152+arithmetic1728@users.noreply.github.com>
Co-authored-by: release-please[bot] <55107282+release-please[bot]@users.noreply.github.com>
Co-authored-by: Chanseok Oh <chanseok@google.com>
Co-authored-by: WhiteSource Renovate <bot@renovateapp.com>
Co-authored-by: Neenu Shaji <Neenu1995@users.noreply.github.com>
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
Linked pull requests

Successfully merging a pull request may close this issue.

None yet
3 participants